<div class="panel-header panel-header-sm"></div>
<div class="main-content">
  <div class="row">
    <div class="col-md-12">
      <div class="card">
        <div class="card-header">
          <h5 class="title">Registrar Usuario</h5>
        </div>
        <div class="card-body">
          <form [formGroup]="formIngreso" (ngSubmit)="crear()">
            <div class="form-group">
              <div class="row">
                <div class="col-md-2 pr-3">
                  <div class="form-group">
                    <label for="ciudad" class="control-label"
                      >Tipo Documento</label
                    >

                    <mat-form-field>
                      <mat-label class="control-label"
                        >Debe seleccionar una opción</mat-label
                      >
                      <mat-select
                        formControlName="tipoDocumento"
                      >
                        <mat-option
                          *ngFor="let tipoDocumentos of tipoDocumento"
                          [value]="tipoDocumentos.value"
                          >{{ tipoDocumentos.viewValue }}
                        </mat-option>
                      </mat-select>
                    </mat-form-field>
                  </div>
                </div>
              </div>
              <div class="row">
                <div class="col-md-2 pr-1">
                  <div class="form-group">
                    <label for="rut" class="control-label"
                      >Número Documento</label
                    >

                    <input
                      type="text"
                      class="form-control"
                      formControlName="numeroDocumento"
                    />
                  </div>
                </div>
                <div class="col-md-10 pr-1">
                  <div class="form-group">
                    <label for="username" class="control-label">Producto</label>
                    <mat-select
                      class="form-control text-uppercase"
                      formControlName="idProducto"
                    >
                      <mat-option
                        *ngFor="let producto of productos"
                        [value]="producto.idProducto"
                        ngDefaultControl
                        class="text-uppercase"
                        >{{ producto.nombreProducto }}
                      </mat-option>
                    </mat-select>
                  </div>
                </div>
                <div class="col-md-2 pr-1">
                  <div class="form-group">
                    <label for="email">Cantidad</label>
                    <input class="form-control" formControlName="cantidad" />
                  </div>
                </div>

                <div class="col-md-4 pr-1">
                  <div class="form-group">
                    <label for="nombreUsuario">Precio</label>
                    <input
                      class="form-control"
                      placeholder="Precio"
                      formControlName="precio"
                    />
                  </div>
                </div>
                <div class="col-md-6 pr-1">
                  <div class="form-group">
                    <label for="cliente" class="control-label">Cliente</label>
                    <mat-select
                      class="form-control text-uppercase"
                      formControlName="idCliente"
                    >
                      <mat-option
                        *ngFor="let cliente of clientes"
                        [value]="cliente.id"
                        ngDefaultControl
                        class="text-uppercase"
                        >{{ cliente.rutCliente }} - {{ cliente.nombreCliente }}
                        {{ cliente.apellidoPaterno }}
                        {{ cliente.apellidoMaterno }}
                      </mat-option>
                    </mat-select>
                  </div>
                </div>
              </div>

              <br />
              <div class="col-md-4 px-1">
                <div class="form-group">
                  <div class="container-login100-form-btn">
                    <button class="login100-form-btn">Registrar</button>
                  </div>
                </div>
              </div>
            </div>
          </form>
        </div>

        <!-- <div class="col-md-12">
        <div class="card card-plain">
          <div class="card-header">
            <h4 class="card-title">Usuarios Registrados</h4>
          </div>
          <div class="card-body">
            <div class="table-hover table-striped">
              <table class="table">
                <thead class="text-primary">
                  <th>Rut</th>
                  <th>Username</th>
                  <th>Nombre</th>
                  <th>Apellido Paterno</th>
                  <th>Apellido Materno</th>
                  <th>Email</th>
                  <th>Dirección</th>
                  <th>Ciudad</th>
                  <th>Tipo Permiso</th>
                  <th class="text-center">Opciones</th>
                </thead>
                <tbody>
                  <tr *ngFor="let usuario of usuarios">
                    <td scope="row">{{ usuario.rut }}</td>
                    <td>{{ usuario.username | titlecase }}</td>
                    <td>{{ usuario.nombreUsuario | titlecase }}</td>
                    <td>{{ usuario.apellidoPaterno | titlecase }}</td>
                    <td>{{ usuario.apellidoMaterno | titlecase }}</td>
                    <td>{{ usuario.email | titlecase }}</td>
                    <td>{{ usuario.direccion | titlecase }}</td>
                    <td>{{ usuario.comunas.nombreComuna }}</td>
                    <td>{{ usuario.tipoUsuario | titlecase }}</td>
                    <td class="text-center">
                      <button
                        mat-raised-button
                        color="primary"
                        style="margin: 10px"
                        [routerLink]="[
                          '/user-profile/editar-usuario',
                          usuario.id
                        ]"
                      >
                        Editar
                      </button>

                      <button
                        mat-raised-button
                        color="warn"
                        (click)="eliminar(usuario)"
                      >
                        Eliminar
                      </button>
                    </td>
                  </tr>
                </tbody>
              </table>
            </div>

            <mat-paginator
              [length]="totalRegistros"
              [pageSize]="totalPorPagina"
              [pageIndex]="paginaActual"
              [pageSizeOptions]="pageSizeOptions"
              (page)="paginar($event)"
              showFirstLastButtons
              class="mx-2"
            >
            </mat-paginator>
          </div> -->
      </div>
    </div>
  </div>
</div>
